## fatrat 1.1.1

=== CMakeLists.txt ===
project(fatrat)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFiles)

find_package(Qt4 REQUIRED)

set(CMAKE_MODULE_PATH cmake_modules)
include_directories(src)

ADD_CUSTOM_TARGET(uninstall
	COMMAND ${CMAKE_COMMAND} -E echo Use 'xargs rm < install_manifest.txt' to uninstall this program
	)

if(WITH_EVERYTHING)
	set(WITH_BITTORRENT ON)
	set(WITH_JABBER ON)
	set(WITH_NLS ON)
	set(WITH_DOCUMENTATION ON)
	set(WITH_WEBINTERFACE ON)
	set(WITH_CURL ON)
endif(WITH_EVERYTHING)

if(WITH_BITTORRENT)
	set(libtorrent_DIR ${CMAKE_MODULE_PATH})
	find_package(libtorrent REQUIRED)
	
	if(LIBTORRENTRB_FOUND)
		message(STATUS "libtorrent found OK ${LIBTORRENTRB_LIBRARY}")
		include_directories(${LIBTORRENTRB_INCLUDE_DIRS})
	else(LIBTORRENTRB_FOUND)
		message(FATAL_ERROR "No Rasterbar libtorrent")
	endif(LIBTORRENTRB_FOUND)
	
	#set(asio_DIR ${CMAKE_MODULE_PATH})
	#find_package(asio REQUIRED)
	
	#if(ASIO_FOUND)
	#	message(STATUS "asio found OK ${ASIO_INCLUDE_DIRS}")
	#	include_directories(${ASIO_INCLUDE_DIRS})
	#else(ASIO_FOUND)
	#	message(FATAL_ERROR "No Boost asio")
	#endif(ASIO_FOUND)
	
	set(QT_USE_QTWEBKIT TRUE)
endif(WITH_BITTORRENT)

if(WITH_JABBER)
	set(gloox_DIR ${CMAKE_MODULE_PATH})
	find_package(gloox REQUIRED)
	
	if(GLOOX_FOUND)
		message(STATUS "gloox found OK")
		include_directories(${GLOOX_INCLUDE_DIRS})
	else(GLOOX_FOUND)
		message(FATAL_ERROR "No gloox")
	endif(GLOOX_FOUND)
endif(WITH_JABBER)

if(WITH_CURL)
	find_package(CURL 7.18.3 REQUIRED)
	
	if(CURL_FOUND)
		include_directories(${CURL_INCLUDE_DIRS})
	else(CURL_FOUND)
		message(FATAR_ERROR "No curl")
	endif(CURL_FOUND)
endif(WITH_CURL)

if(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	#ADD_DEFINITIONS(-DDEBUG)
	ADD_DEFINITIONS(-DNDEBUG)
	ADD_DEFINITIONS(-Wall)
else(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DNDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

CHECK_INCLUDE_FILES(sys/epoll.h HAVE_SYS_EPOLL_H)
CHECK_FUNCTION_EXISTS(kqueue HAVE_KQUEUE)
CONFIGURE_FILE(config.h.in config.h)

#QT4_ADD_DBUS_INTERFACE (fatrat_SRCS dbus/interface.xml dbusinterface)

set(QT_USE_QTDBUS TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSVG TRUE)

if(WITH_DOCUMENTATION)
	set(QT_USE_QTHELP TRUE)
endif(WITH_DOCUMENTATION)
if(WITH_WEBINTERFACE)
	set(QT_USE_QTSCRIPT TRUE)
endif(WITH_WEBINTERFACE)

include( ${QT_USE_FILE} )
add_definitions(${QT_DEFINITIONS})
include_directories(./ ../ ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})

set(fatrat_SRCS
	src/Auth.cpp
	src/AboutDlg.cpp
	src/AppTools.cpp
	src/DropBox.cpp
	src/fatrat.cpp
	src/Proxy.cpp
	src/InfoBar.cpp
	src/MainTab.cpp
	src/MainWindow.cpp
	src/NetIface.cpp
	src/NewTransferDlg.cpp
	src/Queue.cpp
	src/QueueMgr.cpp
	src/QueueView.cpp
	src/SettingsDlg.cpp
	src/SettingsGeneralForm.cpp
	src/SettingsNetworkForm.cpp
	src/SettingsQueueForm.cpp
	src/SettingsSchedulerForm.cpp
	src/ScheduledActionDlg.cpp
	src/SimpleEmail.cpp
	src/SpeedGraph.cpp
	src/SpeedLimitWidget.cpp
	src/StatsWidget.cpp
	src/Transfer.cpp
	src/TransfersModel.cpp
	src/Logger.cpp
	src/XmlRpc.cpp
	src/Scheduler.cpp
	src/MyFileDialog.cpp
	src/ReportBugDlg.cpp
	src/Settings.cpp
	src/QueueDlg.cpp
	src/engines/OutputBuffer.cpp
	src/poller/Poller.cpp
	
	src/rss/RssFetcher.cpp
	src/rss/SettingsRssForm.cpp
	src/rss/RssRegexpDlg.cpp
	src/rss/RssDownloadedDlg.cpp

	src/tooltips/BaseToolTip.cpp
	src/tooltips/QueueToolTip.cpp
	src/tooltips/TrayToolTip.cpp

	src/dbus/DbusAdaptor.cpp
	src/dbus/DbusImpl.cpp
	src/tools/HashDlg.cpp
	src/tools/RapidTools.cpp
	src/tools/VideoFetcher.cpp
)

if(HAVE_SYS_EPOLL_H)
	set(fatrat_SRCS ${fatrat_SRCS} src/poller/EpollPoller.cpp)
elseif(HAVE_KQUEUE)
	set(fatrat_SRCS ${fatrat_SRCS} src/poller/KqueuePoller.cpp)
endif(HAVE_SYS_EPOLL_H)

set(fatrat_MOC_HDRS
	src/dbus/DbusAdaptor.h
	src/dbus/DbusImpl.h
	
	src/TransfersModel.h
	src/QueueDlg.h
	src/QueueMgr.h
	src/SpeedGraph.h
	src/SettingsDropBoxForm.h
	src/SettingsNetworkForm.h
	src/SettingsQueueForm.h
	src/SettingsSchedulerForm.h
	src/ScheduledActionDlg.h
	src/StatsWidget.h
	src/ProxyDlg.h
	src/SpeedLimitWidget.h
	src/LogManager.h
	src/SettingsGeneralForm.h
	src/Transfer.h
	src/Scheduler.h
	src/SimpleEmail.h
	src/QueueView.h
	src/MainWindow.h
	src/AboutDlg.h
	src/SettingsDlg.h
	src/TransfersView.h
	src/Queue.h
	src/MainTab.h
	src/DropBox.h
	src/InfoBar.h
	src/GenericOptsForm.h
	src/WidgetHostDlg.h
	src/UserAuthDlg.h
	src/NewTransferDlg.h
	src/Logger.h
	src/MyApplication.h
	src/ReportBugDlg.h
	src/engines/OutputBuffer.h
	
	src/tools/HashDlg.h
	src/tools/RapidTools.h
	src/tools/VideoFetcher.h
	
	src/rss/RssFetcher.h
	src/rss/SettingsRssForm.h
	src/rss/RssFeedDlg.h
	src/rss/RssRegexpDlg.h
	src/rss/RssDownloadedDlg.h
	
	src/tooltips/QueueToolTip.h
	src/tooltips/TrayToolTip.h
	src/tooltips/BaseToolTip.h
)

set(fatrat_UIS
	src/AboutDlg.ui
	src/AutoActionForm.ui
	src/CommentForm.ui
	src/GenericOptsForm.ui
	src/MainWindow.ui
	src/NewTransferDlg.ui
	src/ProxyDlg.ui
	src/QueueDlg.ui
	src/SettingsDlg.ui
	src/SettingsDropBoxForm.ui
	src/SettingsGeneralForm.ui
	src/SettingsNetworkForm.ui
	src/SettingsQueueForm.ui
	src/SettingsSchedulerForm.ui
	src/ScheduledActionDlg.ui
	src/SpeedLimitWidget.ui
	src/UserAuthDlg.ui
	src/WidgetHostDlg.ui
	src/ReportBugDlg.ui

	src/tools/HashDlg.ui
	src/tools/RapidTools.ui
	src/tools/VideoFetcher.ui
	
	src/rss/SettingsRssForm.ui
	src/rss/RssFeedDlg.ui
	src/rss/RssRegexpDlg.ui
	src/rss/RssDownloadedDlg.ui
	src/rss/RssEpisodeNameDlg.ui

	src/engines/FtpUploadOptsForm.ui
	src/engines/HttpOptsWidget.ui
	src/engines/HttpUrlOptsDlg.ui
	src/engines/SettingsHttpForm.ui
)

if(WITH_CURL)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/engines/CurlDownload.cpp
		src/engines/CurlUpload.cpp
		src/engines/CurlPoller.cpp
		src/engines/CurlUser.cpp
		src/engines/CurlStat.cpp
		src/engines/GeneralDownloadForms.cpp
		src/engines/HttpFtpSettings.cpp
		src/engines/RapidshareUpload.cpp
		src/engines/RapidshareUploadProgress.cpp
		src/engines/RapidshareFreeDownload.cpp
		src/engines/RapidshareStatusWidget.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/engines/CurlDownload.h
		src/engines/CurlUpload.h
		src/engines/HttpFtpSettings.h
		src/engines/GeneralDownloadForms.h
		src/engines/RapidshareUpload.h
		src/engines/RapidshareFreeDownload.h
		src/engines/RapidshareStatusWidget.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/engines/RapidshareOptsForm.ui
		src/engines/RapidshareUploadDetailsForm.ui
		src/engines/RapidshareFreeDownloadOptsForm.ui
	)
endif(WITH_CURL)

if(WITH_BITTORRENT)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/engines/TorrentDetails.cpp
		src/engines/TorrentDownload.cpp
		src/engines/TorrentFilesModel.cpp
		src/engines/TorrentOptsWidget.cpp
		src/engines/TorrentIPFilter.cpp
		src/engines/TorrentPeersModel.cpp
		src/engines/TorrentPiecesModel.cpp
		src/engines/TorrentProgressWidget.cpp
		src/engines/TorrentSettings.cpp
		src/tools/TorrentSearch.cpp
		src/tools/TorrentWebView.cpp
		src/tools/CreateTorrentDlg.cpp
		src/tools/ContextListWidget.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/tools/TorrentSearch.h
		src/tools/TorrentWebView.h
		src/tools/CreateTorrentDlg.h
		src/tools/ContextListWidget.h
		src/engines/TorrentDetails.h
		src/engines/TorrentPeersModel.h
		src/engines/TorrentDownload.h
		src/engines/TorrentOptsWidget.h
		src/engines/TorrentProgressWidget.h
		src/engines/TorrentPiecesModel.h
		src/engines/TorrentFilesModel.h
		src/engines/TorrentSettings.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/tools/TorrentSearch.ui
		src/tools/TorrentWebView.ui
		src/tools/CreateTorrentDlg.ui
		src/engines/TorrentDetailsForm.ui
		src/engines/TorrentOptsWidget.ui
		src/engines/SettingsTorrentForm.ui
	)
endif(WITH_BITTORRENT)

if(WITH_JABBER)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/remote/JabberService.cpp
		src/remote/SettingsJabberForm.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/remote/JabberService.h
		src/remote/SettingsJabberForm.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/remote/SettingsJabberForm.ui
	)
endif(WITH_JABBER)

if(WITH_WEBINTERFACE)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/remote/HttpService.cpp
		src/remote/SettingsWebForm.cpp
		src/remote/XmlRpcService.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/remote/HttpService.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/remote/SettingsWebForm.ui
	)
endif(WITH_WEBINTERFACE)

if(WITH_DOCUMENTATION)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/tools/HelpBrowser.cpp
		src/tools/HelpTextBrowser.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/tools/HelpBrowser.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/tools/HelpBrowser.ui
	)
endif(WITH_DOCUMENTATION)

qt4_wrap_cpp(fatrat_MOC_SRCS ${fatrat_MOC_HDRS})

set(fatrat_RCS
	gfx/resources.qrc
)

qt4_wrap_ui(fatrat_UIS_H ${fatrat_UIS})
qt4_add_resources(fatrat_QRC_H gfx/resources.qrc)
qt4_add_translation(lrelease_outputs locale/fatrat_cs_CZ.ts
locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts)

add_executable(fatrat ${fatrat_SRCS} ${fatrat_MOC_SRCS} ${fatrat_UIS_H}
${fatrat_QRC_H} ${lrelease_outputs})

target_link_libraries(fatrat ${QT_LIBRARIES} ${LIBTORRENTRB_LIBRARIES} ${GLOOX_LIBRARIES} ${CURL_LIBRARIES} ${QT_ADDITIONAL_LIBS} -export-dynamic)

set(fatrat_DEV_HEADERS
	${CMAKE_CURRENT_SOURCE_DIR}/src/fatrat.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/AppTools.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Transfer.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/WidgetHostChild.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/WidgetHostDlg.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Queue.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Logger.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/RuntimeException.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Settings.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Auth.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/Proxy.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/XmlRpc.h
	)
set(fatrat_DEV_HEADERS_ENGINES
	${CMAKE_CURRENT_SOURCE_DIR}/src/engines/CurlDownload.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/engines/CurlUser.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/engines/CurlPoller.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/engines/OutputBuffer.h
	${CMAKE_CURRENT_SOURCE_DIR}/src/engines/CurlStat.h
	)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
	${CMAKE_CURRENT_SOURCE_DIR}/TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/README
	${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS
	${CMAKE_CURRENT_SOURCE_DIR}/INSTALL
	DESTINATION share/fatrat
	)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/defaults.conf
	DESTINATION share/fatrat/data
	)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/css/queueview.css ${CMAKE_CURRENT_SOURCE_DIR}/data/css/label-headers.css DESTINATION share/fatrat/data/css)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gfx/fatrat.png DESTINATION share/pixmaps)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/fatrat.desktop DESTINATION share/applications)

install(FILES ${fatrat_DEV_HEADERS} DESTINATION include/fatrat)
install(FILES ${fatrat_DEV_HEADERS_ENGINES} DESTINATION include/fatrat/engines)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/src/poller/Poller.h DESTINATION include/fatrat/poller)

if(WITH_NLS)
	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
endif(WITH_NLS)

if(WITH_BITTORRENT)
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btsearch.xml DESTINATION share/fatrat/data)
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btlinks.txt DESTINATION share/fatrat/data)
endif(WITH_BITTORRENT)

if(WITH_WEBINTERFACE)
	FILE( GLOB rm_pngs ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.png )
	install(FILES ${rm_pngs} DESTINATION share/fatrat/data/remote)
	
	FILE( GLOB rm_qsps ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.qsp )
	install(FILES ${rm_qsps} DESTINATION share/fatrat/data/remote)
	
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/index.js DESTINATION share/fatrat/data/remote)
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/style.css DESTINATION share/fatrat/data/remote)
	
	FILE( GLOB rm_move ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/move/*.png )
	install(FILES ${rm_move} DESTINATION share/fatrat/data/remote/move)

=== debian/changelog ===
fatrat (1.1.1-5) unstable; urgency=low

  * debian/control: fix fatrat-dev package description.
    (Closes: #560374)

 -- Cristian Greco <cristian@regolo.cc>  Thu, 10 Dec 2009 20:27:51 +0100

fatrat (1.1.1-4) unstable; urgency=low

  * debian/patches/02_fix_ftbfs_freebsd.patch: new, fix FTBFS on
    kFreeBSD.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 25 Nov 2009 15:48:39 +0100

fatrat (1.1.1-3) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * 01_fix_sigaction.patch: new patch, fix FTBFS on most arches.
  * debian/changelog: mark 1.1.1-2 as unreleased.
  * debian/control: fatrat package depends on libqt4-sql-sqlite.
    Closes: #557423

 -- Cristian Greco <cristian@regolo.cc>  Sun, 22 Nov 2009 14:14:36 +0100

fatrat (1.1.1-2) UNRELEASED; urgency=low

  * debian/control:
    - fix packages description a bit.
    - change (build-)dep from libcurl4-openssl-dev to libcurl4-gnutls-dev.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 18 Nov 2009 18:35:03 +0100

fatrat (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #495648).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 16 Nov 2009 00:30:34 +0100

=== debian/control ===
Source: fatrat
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.7),
               cmake (>= 2.6.0),
               libtorrent-rasterbar-dev (>= 0.14.6),
               libqt4-dev (>= 4.4.0),
               qt4-dev-tools (>= 4.4.0),
               libgloox-dev (>= 0.9),
               libcurl4-gnutls-dev | libcurl-dev
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
Homepage: http://fatrat.dolezel.info
DM-Upload-Allowed: yes

Package: fatrat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         fatrat-data (= ${source:Version}),
         libqt4-sql-sqlite,
         xdg-utils
Description: multi-protocol download manager, feature rich and extensible via plugin
 FatRat is a feature rich download manager written in C++ and built on top of
 Qt4 library. It supports a lot of download and file exchange protocols and is
 continuously extended. It also includes a plugin system.
 Most relevant features are:
 .
  * HTTP(S)/FTP downloads
  * FTP uploads
  * RSS feed support + special functions for TV shows and podcasts
  * BitTorrent support (including torrent creating, DHT, UPnP,
    encryption etc.)
  * Torrent search
  * Support for SOCKS5 and HTTP proxies
  * RapidShare.com FREE downloads
  * RapidShare.com uploads
  * RapidShare.com link verification and folder extraction
  * RapidSafe link decoding
  * MD4/MD5/SHA1 hash computing
  * Remote control via Jabber
  * Remote control via a web interface
  * YouTube video downloading

Package: fatrat-data
Architecture: all
Depends: ${misc:Depends}
Recommends: fatrat
Description: data files for fatrat
 FatRat is a feature rich download manager written in C++ and built on top of
 Qt4 library. It supports a lot of download and file exchange protocols and is
 continuously extended. It also includes a plugin system.
 .
 This package contains data files for FatRat such as images, help and locales.

Package: fatrat-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}, libqt4-dev (>= 4.4.0), libcurl4-gnutls-dev
Description: development files for fatrat
 FatRat is a feature rich download manager written in C++ and built on top of
 Qt4 library. It supports a lot of download and file exchange protocols and is
 continuously extended. It also includes a plugin system.
 .
 This package contains FatRat source header files used to compile a plugin or
 to develop your own one.

## fatrat 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,11 @@
 
 INCLUDE(CheckFunctionExists)
 INCLUDE(CheckIncludeFiles)
+INCLUDE(FindPkgConfig)
+INCLUDE(FindBoost)
 
 find_package(Qt4 REQUIRED)
 
-set(CMAKE_MODULE_PATH cmake_modules)
 include_directories(src)
 
 ADD_CUSTOM_TARGET(uninstall
@@ -27,15 +28,25 @@
 endif(WITH_EVERYTHING)
 
 if(WITH_BITTORRENT)
-	set(libtorrent_DIR ${CMAKE_MODULE_PATH})
-	find_package(libtorrent REQUIRED)
-	
-	if(LIBTORRENTRB_FOUND)
-		message(STATUS "libtorrent found OK ${LIBTORRENTRB_LIBRARY}")
-		include_directories(${LIBTORRENTRB_INCLUDE_DIRS})
-	else(LIBTORRENTRB_FOUND)
+	pkg_check_modules(libtorrent REQUIRED "libtorrent-rasterbar >= 0.14.6")
+	
+	if(libtorrent_FOUND)
+		message(STATUS "libtorrent found OK")
+		include_directories(${libtorrent_INCLUDE_DIRS})
+	else(libtorrent_FOUND)
 		message(FATAL_ERROR "No Rasterbar libtorrent")
-	endif(LIBTORRENTRB_FOUND)
+	endif(libtorrent_FOUND)
+	
+	SET(Boost_USE_MULTITHREAD ON)
+	SET(Boost_USE_STATIC_LIBS OFF)
+	find_package(Boost 1.33.0 COMPONENTS date_time REQUIRED)
+	
+	if(Boost_FOUND)
+		message(STATUS "boost-datetime found OK")
+		include_directories(${Boost_INCLUDE_DIRS})
+	else(Boost_FOUND)
+		message(FATAL_ERROR "No boost-datetime")
+	endif(Boost_FOUND)
 	
 	#set(asio_DIR ${CMAKE_MODULE_PATH})
 	#find_package(asio REQUIRED)
@@ -51,25 +62,30 @@
 endif(WITH_BITTORRENT)
 
 if(WITH_JABBER)
-	set(gloox_DIR ${CMAKE_MODULE_PATH})
-	find_package(gloox REQUIRED)
-	
-	if(GLOOX_FOUND)
-		message(STATUS "gloox found OK")
-		include_directories(${GLOOX_INCLUDE_DIRS})
-	else(GLOOX_FOUND)
+	pkg_check_modules(gloox REQUIRED "gloox >= 0.9.0.0")
+	
+	if(gloox_FOUND)
+		message(STATUS "gloox ${gloox_VERSION} found OK")
+		include_directories(${gloox_INCLUDE_DIRS})
+		
+		if(gloox_VERSION LESS 1.0)
+			set(GLOOX_0_9 TRUE)
+		else(gloox_VERSION LESS 1.0)
+			set(GLOOX_1_0 TRUE)
+		endif(gloox_VERSION LESS 1.0)
+	else(gloox_FOUND)
 		message(FATAL_ERROR "No gloox")
-	endif(GLOOX_FOUND)
+	endif(gloox_FOUND)
 endif(WITH_JABBER)
 
 if(WITH_CURL)
-	find_package(CURL 7.18.3 REQUIRED)
-	
-	if(CURL_FOUND)
-		include_directories(${CURL_INCLUDE_DIRS})
-	else(CURL_FOUND)
+	pkg_check_modules(curl REQUIRED "libcurl >= 7.18.2")
+	
+	if(curl_FOUND)
+		include_directories(${curl_INCLUDE_DIRS})
+	else(curl_FOUND)
 		message(FATAR_ERROR "No curl")
-	endif(CURL_FOUND)
+	endif(curl_FOUND)
 endif(WITH_CURL)
 
 if(CMAKE_BUILD_TYPE MATCHES Debug)
@@ -389,12 +405,12 @@
 qt4_wrap_ui(fatrat_UIS_H ${fatrat_UIS})
 qt4_add_resources(fatrat_QRC_H gfx/resources.qrc)
 qt4_add_translation(lrelease_outputs locale/fatrat_cs_CZ.ts
-locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts)
+locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts)
 
 add_executable(fatrat ${fatrat_SRCS} ${fatrat_MOC_SRCS} ${fatrat_UIS_H}
 ${fatrat_QRC_H} ${lrelease_outputs})
 
-target_link_libraries(fatrat ${QT_LIBRARIES} ${LIBTORRENTRB_LIBRARIES} ${GLOOX_LIBRARIES} ${CURL_LIBRARIES} ${QT_ADDITIONAL_LIBS} -export-dynamic)
+target_link_libraries(fatrat ${QT_LIBRARIES} ${libtorrent_LDFLAGS} ${gloox_LDFLAGS} ${curl_LDFLAGS} ${Boost_LIBRARIES} ${QT_ADDITIONAL_LIBS} -export-dynamic)
 
 set(fatrat_DEV_HEADERS
 	${CMAKE_CURRENT_SOURCE_DIR}/src/fatrat.h
@@ -451,14 +467,3 @@
 
 if(WITH_WEBINTERFACE)
 	FILE( GLOB rm_pngs ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.png )
-	install(FILES ${rm_pngs} DESTINATION share/fatrat/data/remote)
-	
-	FILE( GLOB rm_qsps ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.qsp )
-	install(FILES ${rm_qsps} DESTINATION share/fatrat/data/remote)
-	
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/index.js DESTINATION share/fatrat/data/remote)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/style.css DESTINATION share/fatrat/data/remote)
-	
-	FILE( GLOB rm_move ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/move/*.png )
-	install(FILES ${rm_move} DESTINATION share/fatrat/data/remote/move)
-

=== debian/changelog ===
fatrat (1.1.2-2) unstable; urgency=low

  * debian/patches: add the following patches, cherry-picked from upstream:
    - 01_rss_fetcher_fix.patch, fix a bug in RSS fetcher.
    - 02_trim_rscom_folder_urls.patch, trim RS.com folder URLs.
    - 03_fix_dht_crash.patch, fix a crash for DHT fetched torrents.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 13:49:38 +0200

fatrat (1.1.2-1) unstable; urgency=low

  * New upstream version.
    - Support building against gloox 1.x (Closes: #569390).
  * debian/copyright: updated with information about french translation.
  * debian/control: bump up standards-version to 3.8.4 (no changes).
  * debian/patches: drop all patches, merged upstream
    (01_fix_sigaction.patch, 02_fix_ftbfs_freebsd.patch).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 12 Feb 2010 17:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper (>= 7.3.7),
                cmake (>= 2.6.0),
                libtorrent-rasterbar-dev (>= 0.14.6),
+               libboost-date-time-dev,
                libqt4-dev (>= 4.4.0),
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
                libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
 Homepage: http://fatrat.dolezel.info

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_EVERYTHING=ON -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed"

override_dh_auto_clean:
	rm -f doc/fatrat.qch doc/fatrat.qhc
	dh_auto_clean

=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat/fatrat-(.*)\.tar\.gz

## fatrat 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,19 @@
 	pkg_check_modules(libtorrent REQUIRED "libtorrent-rasterbar >= 0.14.6")
 	
 	if(libtorrent_FOUND)
-		message(STATUS "libtorrent found OK")
+		message(STATUS "libtorrent ${libtorrent_VERSION} found OK")
 		include_directories(${libtorrent_INCLUDE_DIRS})
+		
+		if(libtorrent_VERSION GREATER 0.14.99)
+			set(LIBTORRENT_0_15 TRUE)
+		endif(libtorrent_VERSION GREATER 0.14.99)
 	else(libtorrent_FOUND)
 		message(FATAL_ERROR "No Rasterbar libtorrent")
 	endif(libtorrent_FOUND)
 	
 	SET(Boost_USE_MULTITHREAD ON)
 	SET(Boost_USE_STATIC_LIBS OFF)
-	find_package(Boost 1.33.0 COMPONENTS date_time REQUIRED)
+	find_package(Boost COMPONENTS date_time REQUIRED)
 	
 	if(Boost_FOUND)
 		message(STATUS "boost-datetime found OK")
@@ -124,6 +128,7 @@
 	src/Auth.cpp
 	src/AboutDlg.cpp
 	src/AppTools.cpp
+	src/DelayedIcon.cpp
 	src/DropBox.cpp
 	src/fatrat.cpp
 	src/Proxy.cpp
@@ -154,6 +159,10 @@
 	src/ReportBugDlg.cpp
 	src/Settings.cpp
 	src/QueueDlg.cpp
+	src/ClipboardMonitor.cpp
+	src/SettingsClipboardMonitorForm.cpp
+	src/filterlineedit.cpp
+	src/fancylineedit.cpp
 	src/engines/OutputBuffer.cpp
 	src/poller/Poller.cpp
 	
@@ -216,6 +225,10 @@
 	src/Logger.h
 	src/MyApplication.h
 	src/ReportBugDlg.h
+	src/ClipboardMonitor.h
+	src/SettingsClipboardMonitorForm.h
+	src/filterlineedit.h
+	src/fancylineedit.h
 	src/engines/OutputBuffer.h
 	
 	src/tools/HashDlg.h
@@ -248,6 +261,7 @@
 	src/SettingsNetworkForm.ui
 	src/SettingsQueueForm.ui
 	src/SettingsSchedulerForm.ui
+	src/SettingsClipboardMonitorForm.ui
 	src/ScheduledActionDlg.ui
 	src/SpeedLimitWidget.ui
 	src/UserAuthDlg.ui
@@ -405,7 +419,8 @@
 qt4_wrap_ui(fatrat_UIS_H ${fatrat_UIS})
 qt4_add_resources(fatrat_QRC_H gfx/resources.qrc)
 qt4_add_translation(lrelease_outputs locale/fatrat_cs_CZ.ts
-locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts)
+locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts
+locale/fatrat_uk_UA.ts)
 
 add_executable(fatrat ${fatrat_SRCS} ${fatrat_MOC_SRCS} ${fatrat_UIS_H}
 ${fatrat_QRC_H} ${lrelease_outputs})
@@ -414,6 +429,7 @@
 
 set(fatrat_DEV_HEADERS
 	${CMAKE_CURRENT_SOURCE_DIR}/src/fatrat.h
+	${CMAKE_CURRENT_SOURCE_DIR}/src/DelayedIcon.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/AppTools.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/Transfer.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/WidgetHostChild.h
@@ -454,16 +470,3 @@
 
 install(FILES ${fatrat_DEV_HEADERS} DESTINATION include/fatrat)
 install(FILES ${fatrat_DEV_HEADERS_ENGINES} DESTINATION include/fatrat/engines)
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/src/poller/Poller.h DESTINATION include/fatrat/poller)
-
-if(WITH_NLS)
-	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
-endif(WITH_NLS)
-
-if(WITH_BITTORRENT)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btsearch.xml DESTINATION share/fatrat/data)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btlinks.txt DESTINATION share/fatrat/data)
-endif(WITH_BITTORRENT)
-
-if(WITH_WEBINTERFACE)
-	FILE( GLOB rm_pngs ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.png )

=== debian/changelog ===
fatrat (1.1.3-5) unstable; urgency=low

  * fix_ftbfs_gcc47.patch: fix ftbfs also on kfreebsd. Thanks to
    Steven Chamberlain <steven@pyro.eu.org>. (Closes: 672743)

 -- Cristian Greco <cristian@debian.org>  Sat, 19 May 2012 23:22:28 +0200

fatrat (1.1.3-4) unstable; urgency=low

  * fix_ftbfs_gcc47.patch: new patch, add missing includes to fix ftbfs.
    Thanks to Sebastian Ramacher <s.ramacher@gmx.at>. (Closes: #672031)
  * debian/rules: enable hardened build flags. (Closes: #671577)

 -- Cristian Greco <cristian@debian.org>  Sun, 13 May 2012 10:48:43 +0200

fatrat (1.1.3-3) unstable; urgency=low

  * fix_ftbfs_gold_linker.patch: update patch to also explicitly link
    against boost.filesystem library. (Closes: #642822)
  * debian/control: 
    - use my @debian.org email address and drop DMUA field.
    - explicitly add build-dep on required boost libraries instead
      of relying on them being pulled in by libtorrent-rasterbar-dev.

 -- Cristian Greco <cristian@debian.org>  Sun, 25 Sep 2011 17:32:49 +0200

fatrat (1.1.3-2) unstable; urgency=low

  * debian/control:
    - add build-dep on libqtwebkit-dev.
    - bump up Standards-Version to 3.9.2.
  * debian/patches:
    - fix_ftbfs_gold_linker.patch: explicitly link against pthreads, dl
      and boost.system libraries to avoid FTBFS with the gold linker
      (Closes: #615711).
    - define_boost_fs_v2.patch: new patch, fix FTBFS with boost1.46
      (Closes: #625795).

 -- Cristian Greco <cristian@regolo.cc>  Tue, 24 May 2011 13:43:11 +0200

fatrat (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - Fix download issue specific to some 32bit arches (Closes: #587681).
    - debian/patches: drop all patches previously cherry-picked upstream.
    - debian/copyright: update copyright information about some new files
      and translation.
  * debian/control: bump up Standards-Version to 3.9.1 (no changes).
  * debian/{control,rules}: bump debhelper build-dep to (>= 7.4.10) and
    pass  to dh in order to enable parallel build support.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 01 Oct 2010 20:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: fatrat
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
-Build-Depends: debhelper (>= 7.3.7),
+Maintainer: Cristian Greco <cristian@debian.org>
+Build-Depends: debhelper (>= 7.4.10),
+               dpkg-dev (>= 1.16.1),
                cmake (>= 2.6.0),
                libtorrent-rasterbar-dev (>= 0.14.6),
+               libboost-system-dev,
+               libboost-filesystem-dev,
                libboost-date-time-dev,
                libqt4-dev (>= 4.4.0),
+               libqtwebkit-dev,
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
                libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
 Homepage: http://fatrat.dolezel.info
-DM-Upload-Allowed: yes
 
 Package: fatrat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

# cmake workarounds
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DEB_CMAKE_EXE_LINKER_FLAGS=$(LDFLAGS)


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_EVERYTHING=ON -DCMAKE_EXE_LINKER_FLAGS="$(DEB_CMAKE_EXE_LINKER_FLAGS)"

override_dh_auto_clean:
	rm -f doc/fatrat.qch doc/fatrat.qhc
	dh_auto_clean

## fatrat 1.2.0~beta2

=== CMakeLists.txt ===
project(fatrat)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFiles)
INCLUDE(FindPkgConfig)
INCLUDE(FindBoost)
INCLUDE(FindJNI)

find_package(Qt4 REQUIRED)

include_directories(src)

ADD_DEFINITIONS(-DBOOST_FILESYSTEM_NARROW_ONLY)

# If you remove the following line, the Boost ASIO code used in pion will make libtorrent's Boost ASIO code crash
# due to a curious symbol name conflict
#ADD_DEFINITIONS(-fvisibility-inlines-hidden)

ADD_CUSTOM_TARGET(uninstall
	COMMAND ${CMAKE_COMMAND} -E echo Use 'xargs rm < install_manifest.txt' to uninstall this program
	)

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
	SET(CMAKE_INSTALL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

#set(WITH_CXX0X ON)

if(WITH_EVERYTHING)
	set(WITH_BITTORRENT ON)
	set(WITH_JABBER ON)
	set(WITH_NLS ON)
	set(WITH_DOCUMENTATION ON)
	set(WITH_WEBINTERFACE ON)
	set(WITH_CURL ON)
	set(WITH_JPLUGINS ON)
endif(WITH_EVERYTHING)

if(WITH_CXX0X)
	ADD_DEFINITIONS(-std=c++0x)
else(WITH_CXX0X)
	ADD_DEFINITIONS(-Dunique_ptr=auto_ptr)
endif(WITH_CXX0X)

if(WITH_JPLUGINS)
	set(WITH_CURL ON)

	find_package(JNI REQUIRED)
	
	include_directories(${JNI_INCLUDE_DIRS})
endif(WITH_JPLUGINS)

if(WITH_BITTORRENT)
	pkg_check_modules(libtorrent REQUIRED "libtorrent-rasterbar >= 0.16.0")
	
	if(libtorrent_FOUND)
		message(STATUS "libtorrent ${libtorrent_VERSION} found OK")
		include_directories(${libtorrent_INCLUDE_DIRS})
		
		#if(libtorrent_VERSION GREATER 0.14.99)
		set(LIBTORRENT_0_15 TRUE)
		#endif(libtorrent_VERSION GREATER 0.14.99)
	else(libtorrent_FOUND)
		message(FATAL_ERROR "No Rasterbar libtorrent found")
	endif(libtorrent_FOUND)
	
	SET(Boost_USE_MULTITHREAD ON)
	SET(Boost_USE_STATIC_LIBS OFF)
	find_package(Boost COMPONENTS date_time REQUIRED)
	
	if(Boost_FOUND)
		message(STATUS "boost-datetime found OK")
		include_directories(${Boost_INCLUDE_DIRS})
	else(Boost_FOUND)
		message(FATAL_ERROR "No boost-datetime found")
	endif(Boost_FOUND)
	
	#set(asio_DIR ${CMAKE_MODULE_PATH})
	#find_package(asio REQUIRED)
	
	#if(ASIO_FOUND)
	#	message(STATUS "asio found OK ${ASIO_INCLUDE_DIRS}")
	#	include_directories(${ASIO_INCLUDE_DIRS})
	#else(ASIO_FOUND)
	#	message(FATAL_ERROR "No Boost asio")
	#endif(ASIO_FOUND)
	
	set(QT_USE_QTWEBKIT TRUE)
	ADD_DEFINITIONS(-DTORRENT_USE_OPENSSL -DBOOST_ASIO_DYN_LINK)
endif(WITH_BITTORRENT)

if(WITH_JABBER)
	pkg_check_modules(gloox REQUIRED "gloox >= 0.9.0.0")
	
	if(gloox_FOUND)
		message(STATUS "gloox ${gloox_VERSION} found OK")
		include_directories(${gloox_INCLUDE_DIRS})
		
		if(gloox_VERSION LESS 1.0)
			set(GLOOX_0_9 TRUE)
		else(gloox_VERSION LESS 1.0)
			set(GLOOX_1_0 TRUE)
		endif(gloox_VERSION LESS 1.0)
	else(gloox_FOUND)
		message(FATAL_ERROR "No libgloox found")
	endif(gloox_FOUND)
endif(WITH_JABBER)

if(WITH_CURL)
	pkg_check_modules(curl REQUIRED "libcurl >= 7.18.2")
	
	if(curl_FOUND)
		include_directories(${curl_INCLUDE_DIRS})
	else(curl_FOUND)
		message(FATAR_ERROR "No libcurl found")
	endif(curl_FOUND)
endif(WITH_CURL)

ADD_DEFINITIONS(-Wl,--stack,524 288)
if(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DDEBUG_BUILD)
	ADD_DEFINITIONS(-DNDEBUG)
	ADD_DEFINITIONS(-Wall)
else(CMAKE_BUILD_TYPE MATCHES Debug)
	ADD_DEFINITIONS(-ggdb)
	ADD_DEFINITIONS(-DNDEBUG)
	ADD_DEFINITIONS(-Wall)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

CHECK_INCLUDE_FILES(sys/epoll.h HAVE_SYS_EPOLL_H)
CHECK_FUNCTION_EXISTS(kqueue HAVE_KQUEUE)
CONFIGURE_FILE(config.h.in config.h)

#QT4_ADD_DBUS_INTERFACE (fatrat_SRCS dbus/interface.xml dbusinterface)

set(QT_USE_QTDBUS TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSVG TRUE)

if(WITH_DOCUMENTATION)
	set(QT_USE_QTHELP TRUE)
endif(WITH_DOCUMENTATION)
if(WITH_WEBINTERFACE)
	pkg_check_modules(pion-net REQUIRED "pion-net >= 3.0.0")
	
	if(pion-net_FOUND)
		include_directories(${pion-net_INCLUDE_DIRS})
		#message(STATUS "Pion libdir: ${pion-net_LIBDIR}")
		
		#FILE(GLOB pion_FileService "${pion-net_LIBDIR}/pion/plugins/FileService.*")
		#if(pion_FileService MATCHES "^$")
		#	message(FATAL_ERROR "Pion-net FileService plugin not found (libpion-net-plugins?) - ${pion_FileService}")
		#endif(pion_FileService MATCHES "^$")
	else(pion-net_FOUND)
		message(FATAL_ERROR "No pion-net library found")
	endif(pion-net_FOUND)
endif(WITH_WEBINTERFACE)

#set(CMAKE_REQUIRED_INCLUDES "sys/types.h")
CHECK_INCLUDE_FILES("sys/types.h;attr/xattr.h" HAVE_XATTR_H)

if (HAVE_XATTR_H)
	SET(XATTR_LIBRARIES "-lattr")
endif (HAVE_XATTR_H)

include( ${QT_USE_FILE} )
add_definitions(${QT_DEFINITIONS})
include_directories(./ ../ ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})

set(fatrat_SRCS
	src/MyApplication.cpp
	src/Auth.cpp
	src/AboutDlg.cpp
	src/AppTools.cpp
	src/DelayedIcon.cpp
	src/DropBox.cpp
	src/fatrat.cpp
	src/Proxy.cpp
	src/InfoBar.cpp
	src/MainTab.cpp
	src/MainWindow.cpp
	src/NetIface.cpp
	src/NewTransferDlg.cpp
	src/Queue.cpp
	src/QueueMgr.cpp
	src/QueueView.cpp
	src/SettingsDlg.cpp
	src/SettingsGeneralForm.cpp
	src/SettingsNetworkForm.cpp
	src/SettingsQueueForm.cpp
	src/SettingsSchedulerForm.cpp
	src/ScheduledActionDlg.cpp
	src/SimpleEmail.cpp
	src/SpeedGraph.cpp
	src/SpeedLimitWidget.cpp
	src/StatsWidget.cpp
	src/Transfer.cpp
	src/TransfersModel.cpp
	src/Logger.cpp
	src/XmlRpc.cpp
	src/Scheduler.cpp
	src/MyFileDialog.cpp
	src/ReportBugDlg.cpp
	src/Settings.cpp
	src/QueueDlg.cpp
	src/ClipboardMonitor.cpp
	src/SettingsClipboardMonitorForm.cpp
	src/TransferFactory.cpp
	src/filterlineedit.cpp
	src/fancylineedit.cpp
	#src/notify/Notification.cpp
	src/dbus/NotificationsProxy.cpp
	src/dbus/KNotify.cpp
	src/engines/MetalinkSettings.cpp
	src/engines/PlaceholderTransfer.cpp
	src/poller/Poller.cpp
	src/captcha/Captcha.cpp
	src/captcha/CaptchaQt.cpp
	src/captcha/CaptchaQtDlg.cpp
	
	src/rss/RssFetcher.cpp
	src/rss/SettingsRssForm.cpp
	src/rss/RssRegexpDlg.cpp
	src/rss/RssDownloadedDlg.cpp

	src/tooltips/BaseToolTip.cpp
	src/tooltips/QueueToolTip.cpp
	src/tooltips/TrayToolTip.cpp

	src/dbus/DbusAdaptor.cpp
	src/dbus/DbusImpl.cpp
	src/tools/HashDlg.cpp
	src/util/ExtendedAttributes.cpp
	src/util/BalloonTip.cpp
)

if(HAVE_SYS_EPOLL_H)
	set(POSIX_LINUX TRUE)
	set(fatrat_SRCS ${fatrat_SRCS} src/poller/EpollPoller.cpp)
elseif(HAVE_KQUEUE)
	set(POSIX_BSD TRUE)
	set(fatrat_SRCS ${fatrat_SRCS} src/poller/KqueuePoller.cpp)
endif(HAVE_SYS_EPOLL_H)

set(fatrat_MOC_HDRS
	src/dbus/DbusAdaptor.h
	src/dbus/DbusImpl.h
	
	src/TransfersModel.h
	src/QueueDlg.h
	src/QueueMgr.h
	src/SpeedGraph.h
	src/SettingsDropBoxForm.h
	src/SettingsNetworkForm.h
	src/SettingsQueueForm.h
	src/SettingsSchedulerForm.h
	src/ScheduledActionDlg.h
	src/StatsWidget.h
	src/ProxyDlg.h
	src/SpeedLimitWidget.h
	src/LogManager.h
	src/SettingsGeneralForm.h
	src/Transfer.h
	src/Scheduler.h
	src/SimpleEmail.h
	src/QueueView.h
	src/MainWindow.h
	src/AboutDlg.h
	src/SettingsDlg.h
	src/TransfersView.h
	src/Queue.h
	src/MainTab.h
	src/DropBox.h
	src/InfoBar.h
	src/GenericOptsForm.h
	src/WidgetHostDlg.h
	src/UserAuthDlg.h
	src/NewTransferDlg.h
	src/Logger.h
	src/MyApplication.h
	src/ReportBugDlg.h
	src/ClipboardMonitor.h
	src/SettingsClipboardMonitorForm.h
	src/TransferFactory.h
	src/filterlineedit.h
	src/fancylineedit.h
	src/ClickableLabel.h
	#src/notify/Notification.h
	src/dbus/NotificationsProxy.h
	src/dbus/KNotify.h
	src/engines/MetalinkSettings.h
	src/captcha/CaptchaQt.h
	src/captcha/CaptchaQtDlg.h
	
	src/tools/HashDlg.h
	
	src/rss/RssFetcher.h
	src/rss/SettingsRssForm.h
	src/rss/RssFeedDlg.h
	src/rss/RssRegexpDlg.h
	src/rss/RssDownloadedDlg.h
	
	src/tooltips/QueueToolTip.h
	src/tooltips/TrayToolTip.h
	src/tooltips/BaseToolTip.h

	src/util/BalloonTip.h
)

set(fatrat_UIS
	src/AboutDlg.ui
	src/AutoActionForm.ui
	src/CommentForm.ui
	src/GenericOptsForm.ui
	src/MainWindow.ui
	src/NewTransferDlg.ui
	src/ProxyDlg.ui
	src/QueueDlg.ui
	src/SettingsDlg.ui
	src/SettingsDropBoxForm.ui
	src/SettingsGeneralForm.ui
	src/SettingsNetworkForm.ui
	src/SettingsQueueForm.ui
	src/SettingsSchedulerForm.ui
	src/SettingsClipboardMonitorForm.ui
	src/ScheduledActionDlg.ui
	src/SpeedLimitWidget.ui
	src/UserAuthDlg.ui
	src/WidgetHostDlg.ui
	src/ReportBugDlg.ui
	src/captcha/CaptchaQtDlg.ui

	src/tools/HashDlg.ui
	
	src/rss/SettingsRssForm.ui
	src/rss/RssFeedDlg.ui
	src/rss/RssRegexpDlg.ui
	src/rss/RssDownloadedDlg.ui
	src/rss/RssEpisodeNameDlg.ui

	src/engines/FtpUploadOptsForm.ui
	src/engines/HttpOptsWidget.ui
	src/engines/HttpUrlOptsDlg.ui
	src/engines/SettingsHttpForm.ui
	src/engines/SettingsMetalinkForm.ui
)

if(WITH_CURL)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/engines/CurlDownload.cpp
		src/engines/CurlUpload.cpp
		src/engines/CurlPoller.cpp
		src/engines/CurlUser.cpp
		src/engines/CurlStat.cpp
		src/engines/CurlPollingMaster.cpp
		src/engines/UrlClient.cpp
		src/engines/GeneralDownloadForms.cpp
		src/engines/HttpFtpSettings.cpp
		src/engines/HttpDetails.cpp
		src/engines/HttpDetailsBar.cpp
		src/engines/HttpMirrorsDlg.cpp
		src/engines/MetalinkDownload.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/engines/CurlDownload.h
		src/engines/CurlUpload.h
		src/engines/UrlClient.h
		src/engines/HttpFtpSettings.h
		src/engines/HttpDetails.h
		src/engines/HttpDetailsBar.h
		src/engines/HttpMirrorsDlg.h
		src/engines/GeneralDownloadForms.h
		src/engines/MetalinkDownload.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/engines/HttpDetails.ui
		src/engines/HttpMirrorsDlg.ui
	)
endif(WITH_CURL)

if(WITH_JPLUGINS)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/java/JString.cpp
		src/java/JClass.cpp
		src/java/JObject.cpp
		src/java/JArray.cpp
		src/java/JScope.cpp
		src/java/JException.cpp
		src/java/JValue.cpp
		src/java/JSignature.cpp
		src/java/JByteBuffer.cpp
		src/java/JMap.cpp
		src/java/JVM.cpp
		src/java/JPlugin.cpp
		src/java/JExtractorPlugin.cpp
		src/java/JTransferPlugin.cpp
		src/java/JDownloadPlugin.cpp
		src/java/JUploadPlugin.cpp
		src/java/JLinkCheckerPlugin.cpp
		src/java/JNativeMethod.cpp
		src/java/JSettings.cpp
		src/java/JBackgroundWorker.cpp
		src/java/JSingleCObject.cpp
		src/java/JAccountStatusPlugin.cpp
		src/engines/JavaAccountStatusWidget.cpp
		src/engines/ExtensionDownloadDlg.cpp
		src/engines/JavaPersistentVariables.cpp
		src/engines/JavaDownload.cpp
		src/engines/JavaExtractor.cpp
		src/engines/JavaUpload.cpp
		src/engines/SettingsJavaPluginForm.cpp
		src/ExtensionMgr.cpp
		src/java/JSearchPlugin.cpp
		src/tools/FileSharingSearch.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/engines/JavaDownload.h
		src/engines/JavaExtractor.h
		src/engines/JavaUpload.h
		src/java/JPlugin.h
		src/java/JTransferPlugin.h
		src/java/JDownloadPlugin.h
		src/java/JAccountStatusPlugin.h
		src/java/JLinkCheckerPlugin.h
		src/engines/JavaAccountStatusWidget.h
		src/engines/ExtensionDownloadDlg.h
		src/engines/SettingsJavaPluginForm.h
		src/java/JBackgroundWorker.h
		src/ExtensionMgr.h
		src/tools/FileSharingSearch.h
	)
	set(fatrat_UIS
		${fatrat_UIS}
		src/engines/ExtensionDownloadDlg.ui
		src/engines/JavaDownloadOptsForm.ui
		src/engines/SettingsJavaPluginForm.ui
		src/engines/JavaAccountStatusWidget.ui
		src/tools/FileSharingSearch.ui
	)
endif(WITH_JPLUGINS)

if(WITH_BITTORRENT)
	set(fatrat_SRCS
		${fatrat_SRCS}
		src/engines/TorrentDetails.cpp
		src/engines/TorrentDownload.cpp
		src/engines/TorrentFilesModel.cpp
		src/engines/TorrentOptsWidget.cpp
		src/engines/TorrentIPFilter.cpp
		src/engines/TorrentPeersModel.cpp
		src/engines/TorrentPiecesModel.cpp
		src/engines/TorrentProgressWidget.cpp
		src/engines/TorrentSettings.cpp
		src/tools/TorrentSearch.cpp
		src/tools/TorrentWebView.cpp
		src/tools/CreateTorrentDlg.cpp
		src/tools/ContextListWidget.cpp
	)
	set(fatrat_MOC_HDRS
		${fatrat_MOC_HDRS}
		src/tools/TorrentSearch.h
		src/tools/TorrentWebView.h
		src/tools/CreateTorrentDlg.h
		src/tools/ContextListWidget.h
		src/engines/TorrentDetails.h
		src/engines/TorrentPeersModel.h
		src/engines/TorrentDownload.h
		src/engines/TorrentOptsWidget.h
		src/engines/TorrentProgressWidget.h

=== debian/changelog ===
fatrat (1.2.0~beta2-0ubuntu8) trusty; urgency=medium

  * No-change rebuild for gloox transition (LP: #1273967).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 17:04:17 +0400

fatrat (1.2.0~beta2-0ubuntu7) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 27 Oct 2013 00:51:51 +0100

fatrat (1.2.0~beta2-0ubuntu6) saucy; urgency=low

  * Build-Depend on libboost-thread-dev to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 22:57:11 +1100

fatrat (1.2.0~beta2-0ubuntu5) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 09:46:28 +0100

fatrat (1.2.0~beta2-0ubuntu4) raring; urgency=low

  * No-change rebuild against libtorrent-rasterbar7.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 08 Feb 2013 10:32:57 -0500

fatrat (1.2.0~beta2-0ubuntu3) quantal; urgency=low

  * Install StaticTransferMessage.h, since CurlDownload.h includes it.
    Fixes fatrat-czshare build failure.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 12:14:05 +0100

fatrat (1.2.0~beta2-0ubuntu2) quantal; urgency=low

  * Build using javahelper and default-jdk.
   - Drop build depends on openjdk-6-*
   - Include java-vars.mk in debian/rules and no longer manually
     pass Java paths to configure.
  * debian/patches/find_correct_jvm.patch (LP: #1035965):
   - Patch findjvm.sh so that we find a usable jvm. The upstream script
     simply takes the first jvm found. On 12.10 with default-jre this is
     "cacao" which crashes fatrat on start up. Manual testing shows that
     only "server" seems to allow fatrat to work.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 14 Aug 2012 19:04:49 -0400

fatrat (1.2.0~beta2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Drop debian/patches/define_boost_fs_v2.patch,
    applied upstream.
  * Refresh debian/patches/fix_ftbfs_gold_linker.patch and
    debian/patches/fix_ftbfs_gcc47.patch.
  * debian/control: Build depend on libpion-net-dev,
    openjdk-6-jdk, and openjdk-6-dbg and Recommend default-jre
    in order to support new Java plugins.
  * debian/watch: Look for both tar.gz and tar.xz releases.
  * debian/rules: Pass Java paths to configure.
  * Work around issue with libpion-net-dev by build depending
    on libicu-dev, libboost-regex-dev, libboost-signals-dev,
    libboost-iostreams-dev, libbz2-dev, and liblog4cpp5-dev.
    See LP: #881632 and BTS #678433.
  * debian/patches/fix_ftbfs_find_config.h.patch:
   - Patch CMakeLists.txt in order to find and install config.h 
  * debian/patches/disable_tray_icon.patch:
   - Disable tray icon by default.  In Unity, with upstream defaults,
     when you close fatrat it is minimized to the tray. Mouse clicks
     on the tray in Unity only display the menu, which is empty, so
     fatrat can not be reopened or quit.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Aug 2012 17:17:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fatrat
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1),
                cmake (>= 2.6.0),
@@ -13,7 +14,17 @@
                libqtwebkit-dev,
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
-               libcurl4-gnutls-dev | libcurl-dev
+               libcurl4-gnutls-dev | libcurl-dev,
+               libpion-net-dev,
+               default-jdk,
+               javahelper,
+               libicu-dev,
+               libboost-regex-dev,
+               libboost-signals-dev,
+               libboost-iostreams-dev,
+               libboost-thread-dev,
+               libbz2-dev,
+               liblog4cpp5-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
@@ -25,6 +36,7 @@
          fatrat-data (= ${source:Version}),
          libqt4-sql-sqlite,
          xdg-utils
+Recommends: default-jre
 Description: multi-protocol download manager, feature rich and extensible via plugin
  FatRat is a feature rich download manager written in C++ and built on top of
  Qt4 library. It supports a lot of download and file exchange protocols and is

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
include /usr/share/javahelper/java-vars.mk

# cmake workarounds
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DEB_CMAKE_EXE_LINKER_FLAGS=$(LDFLAGS)


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_EVERYTHING=ON \
		-DCMAKE_EXE_LINKER_FLAGS="$(DEB_CMAKE_EXE_LINKER_FLAGS)"

override_dh_auto_clean:
	rm -f doc/fatrat.qch doc/fatrat.qhc
	dh_auto_clean

=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat/fatrat-(.*)\.tar\.(gz|xz)
